SmpFileSystem (SMP Provider 1.1.1-4.14.0-126204 API)
Date: 2019-05-15

org.apache.commons.vfs2.provider

## Class SmpFileSystem

- java.lang.Object
- - org.apache.commons.vfs2.provider.AbstractVfsComponent
  - - org.apache.commons.vfs2.provider.AbstractFileSystem
    - - org.apache.commons.vfs2.provider.SmpFileSystem

- All Implemented Interfaces:
    org.apache.commons.vfs2.FileSystem, org.apache.commons.vfs2.provider.VfsComponent

      public class SmpFileSystem
      extends org.apache.commons.vfs2.provider.AbstractFileSystem

  An Smp file system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmpFileSystem(org.apache.commons.vfs2.provider.GenericFileName rootName, org.apache.commons.vfs2.FileSystemOptions fileSystemOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCapabilities(Collection<org.apache.commons.vfs2.Capability> caps)` Adds the capabilities of this file system.
    `protected org.apache.commons.vfs2.FileObject` | `createFile(org.apache.commons.vfs2.provider.AbstractFileName name)` Creates a file object.
    `protected void` | `doCloseCommunicationLink()`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractFileSystem

      `addJunction, addListener, close, closeCommunicationLink, decorateFileObject, doReplicateFile, fireFileChanged, fireFileCreated, fireFileDeleted, getAttribute, getFileFromCache, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, getRootURI, hasCapability, init, isOpen, isReleaseable, notifyAllStreamsClosed, putFileToCache, removeFileFromCache, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractVfsComponent

      `getContext, getLogger, setContext, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmpFileSystem

          public SmpFileSystem(org.apache.commons.vfs2.provider.GenericFileName rootName,
                       org.apache.commons.vfs2.FileSystemOptions fileSystemOptions)

  - ### Method Detail

    - #### doCloseCommunicationLink

          protected void doCloseCommunicationLink()

      Overrides:
        `doCloseCommunicationLink` in class `org.apache.commons.vfs2.provider.AbstractFileSystem`

    - #### addCapabilities

          protected void addCapabilities(Collection<org.apache.commons.vfs2.Capability> caps)

      Adds the capabilities of this file system.
      Specified by:
        `addCapabilities` in class `org.apache.commons.vfs2.provider.AbstractFileSystem`

    - #### createFile

          protected org.apache.commons.vfs2.FileObject createFile(org.apache.commons.vfs2.provider.AbstractFileName name)
                                                           throws org.apache.commons.vfs2.FileSystemException

      Creates a file object.
      Specified by:
        `createFile` in class `org.apache.commons.vfs2.provider.AbstractFileSystem`
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

Copyright © 2019. All Rights Reserved.